Skip to main content
GET
/
staff
Search firm staff members
curl --request GET \
  --url https://api.smokeball.com/staff \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.smokeball.com/staff"

headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};

fetch('https://api.smokeball.com/staff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "value": [
    {
      "href": "<string>",
      "relation": "<string>",
      "method": "GET",
      "self": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
      "versionId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
      "title": "Mr",
      "firstName": "John",
      "middleName": "",
      "lastName": "Smith",
      "initials": "JS",
      "phone": {
        "areaCode": "555",
        "number": "1234567"
      },
      "cell": {
        "areaCode": "555",
        "number": "1234567"
      },
      "email": "john.smith@brown.com",
      "role": "Bookkeeper",
      "rate": 150,
      "avatar": "https://example-avatar-url.com/image",
      "former": false,
      "enabled": true,
      "userId": "14b5dd57-3681-420e-a483-4823424eef45",
      "colorFill": "#797d85",
      "colorStroke": "#64666a",
      "licenceNumbers": [
        {
          "state": "IL",
          "type": "",
          "number": "<string>"
        }
      ],
      "outOfOffice": {
        "startDate": "2023-11-07T05:31:56Z",
        "endDate": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "offset": 123,
  "limit": 123,
  "size": 123,
  "first": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "previous": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "next": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "last": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  }
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Query Parameters

Offset
integer<int32>
Required range: 0 <= x <= 2147483647
Limit
integer<int32>
Required range: 1 <= x <= 500

Available fields: email, name

Fields
string

Available fields: rate

Response

200 - application/json

When request is successful. Returns a paged collection of 'Staff' objects.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
value
object[] | null
offset
integer<int32> | null
limit
integer<int32> | null
size
integer<int64>
first
object | null
previous
object | null
next
object | null
last
object | null